Jump to content
Froxlor Forum
  • 0
lindi200000

apache 2.4 ifmodule not allowed here

Question

Hallo,

ich habe ein Problem mit genau einer VHOST Datei.

 

Seit Apache 2.4 muss im Directory eines VHOST ja folgender Eintrag stehen.

    Require all granted
    AllowOverride All

Genau dieser Eintrag fehlt aber in einer VHOST Config.

Schreibe ich den eintrag manuell rein, dann funktioniert meine Webseite.

Jedoch bei einen Froxlor reload wird diese Config wieder überschrieben.

Ich habe die VHOST Datei schon gelöscht und komplett neu schreiben lassen, aber dann fehlen die 2 Zeilen von oben wieder.

 

Eine Idee wieso es genau da fehlt? Eine Idee wie ich das in Ordnung bekomme?

 

Gruß

Lindi

Share this post


Link to post
Share on other sites

5 answers to this question

Recommended Posts

  • 0

Hallo,

 

hast du in den Webserver-Einstellungen auch den Haken bei "Anpassungen für Apache 2.4 verwenden" gemacht?


Das wäre das einzigste was mir einfallen würde, warum das nicht richtig funktioniert.

Gruss cardman

Share this post


Link to post
Share on other sites
  • 0

Ja der Haken war gesetzt. die anderen 50 VHost Dateien haben ja auch geklappt.

Fehler ist glaube ich gefunden.

Auf das Verzeichnis wo die VHost Datei zugreift war der Verzeichnisschutz von Froxlor drauf. Als ich den entfernt habe, passt auch die VHost Datei.

Bug?

Share this post


Link to post
Share on other sites
  • 0

Funktioniert bei mir problemlos, bitte mal genaue steps to reproduce und ob noch eigene Einstellungen irgendwo eingetragen wurden (eigenen vhost settings o.Ä.)

Share this post


Link to post
Share on other sites
  • 0

- Domain erstellt mit www Alias

- Verzeichnisschutz für den Pfad eingerichtet wo die Domain hinzeigt

 

VHost wird nicht richtig aktualisiert.

 

nach dem deaktivieren ging des Verzeichnisschutz geht alles.

 

Dei Domain wurde mit Apache 2.2 erstellt, fällt mir gerade ein.

Es kann sein das der Schutz, das Upgrade des VHost verhindert hat.

Das wäre zumindest der einzigste Unterschied zu dem Rest.

Share this post


Link to post
Share on other sites
  • 0

Unter welcher Apache Version die domain erstellt wurde ist völlig egal, froxlor generiert ja bei jeder Änderung alle vhosts neu

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now





×
×
  • Create New...